public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/portage-utils:master commit in: /, travis/
@ 2016-06-20  3:22 Mike Frysinger
  0 siblings, 0 replies; 4+ messages in thread
From: Mike Frysinger @ 2016-06-20  3:22 UTC (permalink / raw
  To: gentoo-commits

commit:     00090c9639522b484a4f8c3cf9b9fcb2f7ad6a5c
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 20 03:12:05 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Mon Jun 20 03:12:05 2016 +0000
URL:        https://gitweb.gentoo.org/proj/portage-utils.git/commit/?id=00090c96

travis: add coverity scan integration

 .travis.yml    |  9 ++++++++-
 travis/main.sh | 25 +++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletion(-)

diff --git a/.travis.yml b/.travis.yml
index 015172e..fb4c521 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -2,15 +2,22 @@
 # https://docs.travis-ci.com/
 
 language: c
+# Order here matters for implicit matrix generation and coverity scan.
+# See travis/main.sh for details.
 compiler:
-  - clang
   - gcc
+  - clang
 
 sudo: false
 
+# Order here matters; see compiler comment above.
 os:
   - linux
 
+env:
+  global:
+    - secure: "qF/ueXvm1uawirfQL+jK5LSJW1P+ZVXDx5t9HljFP1jC45D/1aqEs1ffaNkvBJohUJy6mABnXN5+ZP0PoQ+ZA01t+6NDc/LrowGP87T02KGwjBukQ9tQK8zVutsT+0CY3qUPhRcaLH5Gt3c+uPDKlLndg/bXWS6cRpMt6tC3VTy+WpAlvHHfZJjSZVYp8qhCattnaZ7GvzqGqbjBZ6X7TrQnwIDdGAyg5r4xnViDxu9lO4ZH4zS6Rc7DxesrqC3zxwPRw5HLNsGbJiGQF3meXH6rVNt1uxKwwOQoDcL0NKiyAMpXwu5iGeuMILoy3KMpFwZFnhyXqMGRORakDuDNB9oMgzp+PB3Zb7TICXbhxbrQ46lSlv0VWkwn3bcJ0lek53NzDUmM2uywvCUYybPgn3xCqY9jG0zwO2ZIACc1ekGh7y0gFXfBoSZGhl1VthV5hWMJ01p/n5jK7XdDmK4G/+0wN2WlHhyvjoF6XyJ+SRC85l6VhpBNbFJA2bGT2Y4+p/CzF7M8DVYR3o+OfCWxsiZyE+Vnmpdg4U829oy97obIuBeCvBd1Vp0hoB+RpzaeqzS69N+S4tgCIXvIdu168HltFaTUPtvIGoDtIAPCaUZC8jVO22cA6RpNkac3HjpLSceYYtdkiph4VuBMwHZj6/N2+m46Y9Uxrh01KzLy/GY="
+
 addons:
   apt:
     packages:

diff --git a/travis/main.sh b/travis/main.sh
index e333685..7831298 100755
--- a/travis/main.sh
+++ b/travis/main.sh
@@ -2,6 +2,27 @@
 
 . "${0%/*}"/lib.sh
 
+# We have to do this by hand rather than use the coverity addon because of
+# matrix explosion: https://github.com/travis-ci/travis-ci/issues/1975
+coverity_scan() {
+	local reason
+	[[ ${TRAVIS_JOB_NUMBER} != *.1 ]] && reason="not first build job"
+	[[ -n ${TRAVIS_TAG} ]] && reason="git tag"
+	[[ ${TRAVIS_PULL_REQUEST} == "true" ]] && reason="pull request"
+	if [[ -n ${reason} ]] ; then
+		echo "Skipping coverity scan due to: ${reason}"
+		return
+	fi
+
+	export COVERITY_SCAN_PROJECT_NAME="${TRAVIS_REPO_SLUG}"
+	export COVERITY_SCAN_NOTIFICATION_EMAIL="vapier@gentoo.org"
+	export COVERITY_SCAN_BUILD_COMMAND="make -j${ncpus}"
+	export COVERITY_SCAN_BUILD_COMMAND_PREPEND="git clean -q -x -d -f; git checkout -f"
+	export COVERITY_SCAN_BRANCH_PATTERN="master"
+
+	curl -s "https://scan.coverity.com/scripts/travisci_build_coverity_scan.sh" | bash || :
+}
+
 main() {
 	# For local deps like iniparser.
 	export CPPFLAGS="-I${PWD}/../sysroot"
@@ -14,5 +35,9 @@ main() {
 	# Debug build w/ASAN and such enabled.
 	m debug
 	m check
+
+	# Do scans last as they like to dirty the tree and some tests
+	# expect a clean tree (like code style checks).
+	v --fold="coverity_scan" coverity_scan
 }
 main "$@"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] proj/portage-utils:master commit in: /, travis/
@ 2019-05-21 14:28 Fabian Groffen
  0 siblings, 0 replies; 4+ messages in thread
From: Fabian Groffen @ 2019-05-21 14:28 UTC (permalink / raw
  To: gentoo-commits

commit:     a2d1f0c672088831531c92508f8e4bf6a3e6480c
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Tue May 21 14:28:11 2019 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Tue May 21 14:28:11 2019 +0000
URL:        https://gitweb.gentoo.org/proj/portage-utils.git/commit/?id=a2d1f0c6

travis: attempt to install blake2

Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 .travis.yml              |  1 +
 travis/install-blake2.sh | 27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/.travis.yml b/.travis.yml
index fb4c521..5e788a8 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -24,4 +24,5 @@ addons:
 
 before_install:
   - ./travis/install-iniparser.sh
+  - ./travis/install-blake2.sh
 script: ./travis/main.sh

diff --git a/travis/install-blake2.sh b/travis/install-blake2.sh
new file mode 100755
index 0000000..1ee6f1e
--- /dev/null
+++ b/travis/install-blake2.sh
@@ -0,0 +1,27 @@
+#!/bin/bash -e
+
+. "${0%/*}"/lib.sh
+
+main() {
+	local pv="0.98.1"
+	local S="libb2-${pv}"
+	travis_fold start dep-blake2
+	rm -rf libb2*
+	v mkdir -p ../sysroot
+	v wget https://github.com/BLAKE2/libb2/releases/download/v${pv}/libb2-${pv}.tar.gz
+	v tar xf libb2-${pv}.tar.gz
+	(
+		cd "${S}"
+		./configure \
+			--enable-static \
+			--disable-shared \
+			--prefix=/ \
+			--libdir=/ \
+			--includedir=/
+		m
+		m DESTDIR=../../sysroot install
+	)
+	v rm -rf libb2*
+	travis_fold end dep-blake2
+}
+main "$@"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] proj/portage-utils:master commit in: /, travis/
@ 2019-12-31  9:05 Fabian Groffen
  0 siblings, 0 replies; 4+ messages in thread
From: Fabian Groffen @ 2019-12-31  9:05 UTC (permalink / raw
  To: gentoo-commits

commit:     1f9574907f390a136ce57d4ad248349fe108bfe8
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 31 09:05:32 2019 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Tue Dec 31 09:05:32 2019 +0000
URL:        https://gitweb.gentoo.org/proj/portage-utils.git/commit/?id=1f957490

travis: we no longer need iniparser

Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 .travis.yml                 |  1 -
 travis/install-iniparser.sh | 18 ------------------
 2 files changed, 19 deletions(-)

diff --git a/.travis.yml b/.travis.yml
index 2a51c0d..83a6ff6 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -26,6 +26,5 @@ addons:
     - gnupg2
 
 before_install:
-  - ./travis/install-iniparser.sh
   - ./travis/install-blake2.sh
 script: ./travis/main.sh

diff --git a/travis/install-iniparser.sh b/travis/install-iniparser.sh
deleted file mode 100755
index c0edd83..0000000
--- a/travis/install-iniparser.sh
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/bash -e
-
-. "${0%/*}"/lib.sh
-
-main() {
-	local pv="3.1"
-	local S="iniparser"
-	travis_fold start dep-iniparser
-	rm -rf iniparser*
-	v mkdir -p ../sysroot
-	v wget http://distfiles.gentoo.org/distfiles/iniparser-${pv}.tar.gz
-	v tar xf iniparser-${pv}.tar.gz
-	m -C ${S}
-	v cp ${S}/libiniparser.a ${S}/src/{dictionary,iniparser}.h ../sysroot/
-	v rm -rf iniparser*
-	travis_fold end dep-iniparser
-}
-main "$@"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] proj/portage-utils:master commit in: /, travis/
@ 2020-01-03 14:49 Fabian Groffen
  0 siblings, 0 replies; 4+ messages in thread
From: Fabian Groffen @ 2020-01-03 14:49 UTC (permalink / raw
  To: gentoo-commits

commit:     00c6d147bbeed3345c242d21fc237c10ddf0e023
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  3 14:48:36 2020 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Fri Jan  3 14:48:36 2020 +0000
URL:        https://gitweb.gentoo.org/proj/portage-utils.git/commit/?id=00c6d147

travis: try testing on macOS, fix coverity run

This is guesswork, no way to test but push to Travis...

Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 .travis.yml    | 39 ++++++++++++++++++-------
 travis/main.sh | 90 +++++++++++++++++++++-------------------------------------
 2 files changed, 61 insertions(+), 68 deletions(-)

diff --git a/.travis.yml b/.travis.yml
index 97c8e85..981cd4d 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -2,18 +2,32 @@
 # https://docs.travis-ci.com/
 
 language: c
-# Order here matters for implicit matrix generation and coverity scan.
-# See travis/main.sh for details.
-compiler:
-  - gcc
-  - clang
-
 sudo: false
 
-# Order here matters; see compiler comment above.
-os:
-  - linux
-dist: xenial
+matrix:
+  include:
+    - compiler: gcc
+      os: linux
+      dist: bionic
+    - compiler: clang
+      os: linux
+      dist: bionic
+    - compiler: coverity
+      os: linux
+      dist: bionic
+      env:
+        - COVERITY_SCAN_PROJECT_NAME="$TRAVIS_REPO_SLUG"
+        - COVERITY_SCAN_BRANCH_PATTERN="master"
+        - COVERITY_SCAN_NOTIFICATION_EMAIL="grobian@gentoo.org"
+        - COVERITY_SCAN_BUILD_COMMAND="make"
+    - compiler: valgrind
+      os: linux
+      dist: bionic
+      env:
+        - CFLAGS="-g"
+        - Q_RUN_WITH_VALGRIND=1
+    - compiler: clang
+      os: osx
 
 env:
   global:
@@ -25,6 +39,11 @@ addons:
     - libgpgme11-dev
     - gnupg2
     - valgrind
+  homebrew:
+    packages:
+    - gpgme
+    - gnupg
+    #update: true
 
 before_install:
   - ./travis/install-blake2.sh

diff --git a/travis/main.sh b/travis/main.sh
index 6f55073..52a3c90 100755
--- a/travis/main.sh
+++ b/travis/main.sh
@@ -2,65 +2,39 @@
 
 . "${0%/*}"/lib.sh
 
-# We have to do this by hand rather than use the coverity addon because of
-# matrix explosion: https://github.com/travis-ci/travis-ci/issues/1975
-# We also do it by hand because when we're throttled, the addon will exit
-# the build immediately and skip the main script!
-coverity_scan() {
-	local reason
-	[[ ${TRAVIS_JOB_NUMBER} != *.1 ]] && reason="not first build job"
-	[[ -n ${TRAVIS_TAG} ]] && reason="git tag"
-	[[ ${TRAVIS_PULL_REQUEST} == "true" ]] && reason="pull request"
-	if [[ -n ${reason} ]] ; then
-		echo "Skipping coverity scan due to: ${reason}"
-		return
-	fi
+# For local deps like blake2b.
+export CPPFLAGS="-I${PWD}/../sysroot"
+export LDFLAGS="-L${PWD}/../sysroot"
 
-	export COVERITY_SCAN_PROJECT_NAME="${TRAVIS_REPO_SLUG}"
-	export COVERITY_SCAN_NOTIFICATION_EMAIL="grobian@gentoo.org"
-	export COVERITY_SCAN_BUILD_COMMAND="make -j${ncpus}"
-	export COVERITY_SCAN_BUILD_COMMAND_PREPEND="git clean -q -x -d -f; git checkout -f"
-	export COVERITY_SCAN_BRANCH_PATTERN="master"
+# ignore timestamps which git doesn't preserve
+# disable openmp because Clang's libomp isn't installed
+DEFARGS="--disable-maintainer-mode --disable-openmp"
 
-	curl -s "https://scan.coverity.com/scripts/travisci_build_coverity_scan.sh" | bash || :
-}
-
-main() {
-	# For local deps like blake2b.
-	export CPPFLAGS="-I${PWD}/../sysroot"
-	export LDFLAGS="-L${PWD}/../sysroot"
-
-	# ignore timestamps which git doesn't preserve
-	# disable openmp because Clang's libomp isn't installed
-	DEFARGS="--disable-maintainer-mode --disable-openmp"
-
-	do_run() {
-		v ./configure ${*}
-
-		# Standard optimized build.
-		m V=1
-		m check
-		m clean
-	}
+do_run() {
+  v ./configure ${*}
 
-	do_run ${DEFARGS}
-	do_run ${DEFARGS} --enable-qmanifest --enable-qtegrity
-	do_run ${DEFARGS} --disable-qmanifest --enable-qtegrity
-	do_run ${DEFARGS} --enable-qmanifest --disable-qtegrity
-	do_run ${DEFARGS} --disable-qmanifest --disable-qtegrity
-
-	if [[ ${TRAVIS_OS_NAME} == linux ]] ; then
-		export Q_RUN_WITH_VALGRIND=1
-		do_run CFLAGS=-g ${DEFARGS} --enable-qmanifest --enable-qtegrity
-	fi
-
-	# LSan needs sudo, which we don't use at the moment
-	# Debug build w/ASAN and such enabled.
-	#m debug
-	#m check
-
-	# Do scans last as they like to dirty the tree and some tests
-	# expect a clean tree (like code style checks).
-	v --fold="coverity_scan" coverity_scan
+  # Standard optimized build.
+  m V=1
+  m check
+  m clean
 }
-main "$@"
+
+if [[ ${CC} == coverity ]] ; then
+  [[ -n ${COVERITY_SCAN_TOKEN} ]] || exit 0;  # don't fail on this for PRs
+  # Do scans last as they like to dirty the tree and some tests
+  # expect a clean tree (like code style checks).
+  v --fold="coverity_scan" coverity_scan
+  # ensure we end up with an existing compiler
+  export CC=gcc
+  v ./configure ${DEFARGS} --enable-qmanifest --enable-qtegrity
+  curl -s 'https://scan.coverity.com/scripts/travisci_build_coverity_scan.sh' | bash
+elif [[ ${CC} == valgrind ]] ; then
+  export CC=gcc
+  do_run CFLAGS=-g ${DEFARGS} --enable-qmanifest --enable-qtegrity
+else
+  do_run ${DEFARGS}
+  do_run ${DEFARGS} --enable-qmanifest --enable-qtegrity
+  do_run ${DEFARGS} --disable-qmanifest --enable-qtegrity
+  do_run ${DEFARGS} --enable-qmanifest --disable-qtegrity
+  do_run ${DEFARGS} --disable-qmanifest --disable-qtegrity
+fi


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2020-01-03 14:49 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-06-20  3:22 [gentoo-commits] proj/portage-utils:master commit in: /, travis/ Mike Frysinger
  -- strict thread matches above, loose matches on Subject: below --
2019-05-21 14:28 Fabian Groffen
2019-12-31  9:05 Fabian Groffen
2020-01-03 14:49 Fabian Groffen

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox